#ifndef C_API_H_
#define C_API_H_

#include <mpir.h>

/**
 * C API: Compute pi and print pi.
 */
void compute_and_print_pi_c();

/**
 * C API: Compute pi.
 * Time the calculation.
 * @param pi
 */
void compute_pi_c(mpf_t& pi);

/**
 * C API: Compute the 4th root of a multiple-precision number x.
 * @param root4 the computed multiple-precision 4th root of x.
 * @param x the multiple-precision number.
 */
void root4(mpf_t& root4, const mpf_t& x);

/**
 * C API: Compute the 4th power of a multiple-precision number x.
 * @param xxxx the computed multiple-precision 4th power of x.
 * @param x the multiple-precision number.
 */
void power4(mpf_t& xxxx, const mpf_t& x);

#endif /* C_API_H_ */
