#include <iostream>
#include "Constants.h"
#include "Utility.h"

using namespace std;

void print(char *s, long ns)
{
    char *p = s + 1;  // skip the 3 before the decimal point

    cout << endl;
    cout << "3.";

    char block[BLOCK_SIZE + 1];  // +1 for the ending \0

    // Loop for each line.
    for (int i = 1; i <= LINE_COUNT; i++)
    {
        // Loop to print blocks of digits in each line.
        for (int j = 0; j < LINE_SIZE; j += BLOCK_SIZE)
        {
            strncpy(block, p+j, BLOCK_SIZE);
            block[BLOCK_SIZE] = '\0';
            cout << block << " ";
        }

        cout << endl << "  ";

        // Print a blank line for grouping.
        if (i%GROUP_SIZE == 0) cout << endl << "  ";

        p += LINE_SIZE;
    }

    free(s);

    double secs = ns/1.0e9;
    cout << "Elapsed time: " << commafy(ns) << " nsecs = "
         << secs << " seconds "<< endl;
}

string commafy(long i)
{
    string str = to_string(i);
    int pos = str.length() - 3;

    while (pos > 0)
    {
        str.insert(pos, ",");
        pos -= 3;
    }

    return str;
}
